/**
 * Created by ag-websolutions on 06.05.14.
 */

$(document).ready(function() {

    var defaults = {
        text: 'To Top',
        min: 200,
        inDelay:600,
        outDelay:400,
        containerID: 'toTop',
        containerHoverID: 'toTopHover',
        scrollSpeed: 1200,
        easingType: 'linear',
        footer_wrapper: '#footer_wrapper',
        footer: '#footer'
    };

    $().UItoTop({
        text: defaults.text,
        min: defaults.min,
        inDelay: defaults.inDelay,
        outDelay: defaults.outDelay,
        containerID: defaults.containerID,
        containerHoverID: defaults.containerHoverID,
        scrollSpeed: defaults.scrollSpeed,
        easingType: defaults.easingType
    });
    (function($){
        var faSpan = $('<span class="fa" style="display:none"></span>').appendTo('body');
        if (faSpan .css('fontFamily') !== 'FontAwesome' ) {
            // Fallback Link
            $('head').append('<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css" rel="stylesheet">');
        }
        faSpan.remove();
    })(jQuery);

    $(window).scroll(function() {

        var containerIDhash = '#' + defaults.containerID;
        var eToTop = $(containerIDhash);
        var eFooter3 = $(defaults.footer_wrapper);
        var eFooter4 = $(defaults.footer);
        var eFooter = '';

        if (eFooter3.length <=0)
            eFooter = eFooter4;
        else
            eFooter = eFooter3;

        var eBody = $('body');
        var iToTopOffset = eToTop.offset();
        var iToTopOffsetTop = iToTopOffset.top;
        var iBodyHeight = eBody.prop("scrollHeight");
        var iFooterHeight = eFooter.outerHeight(true);
        var iInverseHeight = iBodyHeight - iToTopOffsetTop;

        if ( iInverseHeight <= iFooterHeight )
            $(containerIDhash).addClass("inverse");
        else
            $(containerIDhash).removeClass("inverse");
    });
});